## python-podman 4.7.0

=== Makefile ===
export GO111MODULE=off
export GOPROXY=https://proxy.golang.org


PYTHON ?= $(shell command -v python3 2>/dev/null || command -v python || which python3)
DESTDIR ?= /
DESTDIR ?=
EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-main} HEAD)
HEAD ?= HEAD

export PODMAN_VERSION ?= "4.7.0"

.PHONY: podman
podman:
	rm dist/* || :
	$(PYTHON) -m pip install --user -r requirements.txt
	PODMAN_VERSION=$(PODMAN_VERSION) \
	$(PYTHON) setup.py sdist bdist bdist_wheel

.PHONY: lint
lint: tox
	$(PYTHON) -m tox -e black,pylint

.PHONY: tests
tests: tox
	# see tox.ini for environment variable settings
	$(PYTHON) -m tox -e pylint,coverage,py36,py38,py39,py310,py311

.PHONY: unittest
unittest:
	coverage run -m unittest discover -s podman/tests/unit
	coverage report -m --skip-covered --fail-under=80 --omit=./podman/tests/* --omit=.tox/* --omit=/usr/lib/*

.PHONY: integration
integration:
	coverage run -m unittest discover -s podman/tests/integration
	coverage report -m --skip-covered --fail-under=80 --omit=./podman/tests/* --omit=.tox/* --omit=/usr/lib/*

.PHONY: tox
tox:
ifeq (, $(shell which dnf))
	brew install python@3.8 python@3.9 python@3.10 python@3.11
else
	-dnf install -y python3 python3.6 python3.8 python3.9
endif
	# ensure tox is available. It will take care of other testing requirements
	$(PYTHON) -m pip install --user tox

.PHONY: test-release
test-release: SOURCE = $(shell find dist -regex '.*/podman-[0-9][0-9\.]*.tar.gz' -print)
test-release:
	twine upload --verbose -r testpypi dist/*whl $(SOURCE)
	# pip install -i https://test.pypi.org/simple/ podman

.PHONY: release
release: SOURCE = $(shell find dist -regex '.*/podman-[0-9][0-9\.]*.tar.gz' -print)
release:
	twine upload --verbose dist/*whl $(SOURCE)
	# pip install podman

.PHONY: docs
docs:
	mkdir -p _build/doctrees
	cp -R docs/source/* _build/doctrees
	sphinx-apidoc --separate --no-toc --force --templatedir build/docs/source/_templates/apidoc \
		-o _build/doctrees \
		podman podman/tests
	# Previous Command: sphinx-build _build/doctrees _build/html
	#
	# HARD CODED COMMAND from readthedocs! We must conform!
	# -T : traceback
	# -E : do not use saved environment, always read all files
	# -W : warnings reported as errors then --keep-going when getting warnings
	# -b html : build html
	# -d : path for cached environment and doctree files
	# -D language=en : define language as en
	# . : source directory
	# _build/html : target
	cd _build/doctrees && python3 -m sphinx -T -E -W --keep-going -b html -d _build/doctrees -D language=en . _build/html

.PHONY: rpm
rpm: ## Build rpm packages
	rpkg local

# .PHONY: install
HEAD ?= HEAD
# install:
# 	$(PYTHON) setup.py install --root ${DESTDIR}

# .PHONY: upload
# upload: clean
# 	PODMAN_VERSION=$(PODMAN_VERSION) $(PYTHON) setup.py sdist bdist_wheel
# 	twine check dist/*
# 	twine upload --verbose dist/*
# 	twine upload --verbose dist/*

.PHONY: clobber
clobber: uninstall clean

.PHONY: uninstall
uninstall:
	$(PYTHON) -m pip uninstall --yes podman ||:

.PHONY: clean
clean:
	rm -rf podman_py.egg-info dist build/*
	find . -depth -name __pycache__ -exec rm -rf {} \;
	find . -depth -name \*.pyc -exec rm -f {} \;
	$(PYTHON) ./setup.py clean --all

.PHONY: validate
validate: .gitvalidation lint

.PHONY: .gitvalidation
.gitvalidation:
	# I have no great ideas on how to install/check for git-validation
	@echo "Validating vs commit '$(call err_if_empty,EPOCH_TEST_COMMIT)'"
	GIT_CHECK_EXCLUDE="./vendor:docs/make.bat" git-validation -run DCO,short-subject,dangling-whitespace -range $(EPOCH_TEST_COMMIT)..$(HEAD)

=== debian/changelog ===
python-podman (4.7.0-2) unstable; urgency=medium

  * d/patches: Fix metadata
  * Source-only build

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 03 Oct 2023 11:52:57 +0200

python-podman (4.7.0-1) unstable; urgency=low

  * Initial release (Closes: #1053253).

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 28 Sep 2023 15:34:38 +0200

=== debian/control ===
Source: python-podman
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Build-Depends-Indep:
 python3-xdg,
 python3-testtools,
 python3-requests-mock,
Standards-Version: 4.6.0
Homepage: https://github.com/containers/podman-py
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-podman
Vcs-Git: https://salsa.debian.org/python-team/packages/python-podman.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-podman
Architecture: all
Depends:
 python3-xdg,
 python3-requests,
 python3-urllib3,
 python3-tomli,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 wrapper to access podman's interface
 This package contains oodles of routines that aid in controlling
 podman over it's RESTful API.
 .
 This package provides Python 3 module bindings.

## python-podman 5.3.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-main} HEAD)
 HEAD ?= HEAD
 
-export PODMAN_VERSION ?= "4.7.0"
+export PODMAN_VERSION ?= "5.3.0"
 
 .PHONY: podman
 podman:
@@ -24,7 +24,7 @@
 .PHONY: tests
 tests: tox
 	# see tox.ini for environment variable settings
-	$(PYTHON) -m tox -e pylint,coverage,py36,py38,py39,py310,py311
+	$(PYTHON) -m tox -e coverage,py39,py310,py311,py312,py313
 
 .PHONY: unittest
 unittest:
@@ -39,9 +39,9 @@
 .PHONY: tox
 tox:
 ifeq (, $(shell which dnf))
-	brew install python@3.8 python@3.9 python@3.10 python@3.11
+	brew install python@3.9 python@3.10 python@3.11 python@3.12 python@3.13
 else
-	-dnf install -y python3 python3.6 python3.8 python3.9
+	-dnf install -y python3 python3.9 python3.10 python3.11 python3.12 python3.13
 endif
 	# ensure tox is available. It will take care of other testing requirements
 	$(PYTHON) -m pip install --user tox
@@ -60,13 +60,9 @@
 
 .PHONY: docs
 docs:
-	mkdir -p _build/doctrees
-	cp -R docs/source/* _build/doctrees
-	sphinx-apidoc --separate --no-toc --force --templatedir build/docs/source/_templates/apidoc \
-		-o _build/doctrees \
-		podman podman/tests
-	# Previous Command: sphinx-build _build/doctrees _build/html
-	#
+	sphinx-apidoc --separate --no-toc --force --templatedir docs/source/_templates/apidoc \
+		-o docs/source/ podman podman/tests
+
 	# HARD CODED COMMAND from readthedocs! We must conform!
 	# -T : traceback
 	# -E : do not use saved environment, always read all files
@@ -76,7 +72,7 @@
 	# -D language=en : define language as en
 	# . : source directory
 	# _build/html : target
-	cd _build/doctrees && python3 -m sphinx -T -E -W --keep-going -b html -d _build/doctrees -D language=en . _build/html
+	cd docs/source && python3 -m sphinx -T -E -W --keep-going -b html -d _build/doctrees -D language=en . _build/html
 
 .PHONY: rpm
 rpm: ## Build rpm packages

=== requirements.txt ===
# Any changes should be copied into pyproject.toml
requests>=2.24
setuptools
sphinx
tomli>=1.2.3; python_version<'3.11'
urllib3
wheel

=== debian/changelog ===
python-podman (5.3.0-3) unstable; urgency=medium

  * skip tests that cannot run on riscv64

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 05 Dec 2024 16:00:06 +0100

python-podman (5.3.0-2) unstable; urgency=medium

  * Team upload.
  * fix: /run/user/ is based on UID not username
  * Remove smokecheck test.
  * Run test suite in autopkgtest, both in Salsa CI and full isolation
    with /dev/fuse.

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 04 Dec 2024 12:43:42 +0100

python-podman (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.0
  * use Debian's default XDG_RUNTIME_DIR instead of random tmp dir

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 30 Nov 2024 17:45:03 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/podman/podman-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-podman 5.4.0.1

=== Makefile ===
--- 
+++ 
@@ -8,22 +8,30 @@
 EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-main} HEAD)
 HEAD ?= HEAD
 
-export PODMAN_VERSION ?= "5.3.0"
+export PODMAN_VERSION ?= "5.4.0"
 
 .PHONY: podman
 podman:
 	rm dist/* || :
-	$(PYTHON) -m pip install --user -r requirements.txt
+	$(PYTHON) -m pip install -q build
 	PODMAN_VERSION=$(PODMAN_VERSION) \
-	$(PYTHON) setup.py sdist bdist bdist_wheel
+	$(PYTHON) -m build
 
 .PHONY: lint
 lint: tox
-	$(PYTHON) -m tox -e black,pylint
+	$(PYTHON) -m tox -e format,lint
 
 .PHONY: tests
 tests: tox
 	# see tox.ini for environment variable settings
+	$(PYTHON) -m tox -e coverage,py39,py310,py311,py312,py313
+
+.PHONY: tests-ci-base-python
+tests-ci-base-python:
+	$(PYTHON) -m tox -e coverage,py
+
+.PHONY: tests-ci-all-python
+tests-ci-all-python:
 	$(PYTHON) -m tox -e coverage,py39,py310,py311,py312,py313
 
 .PHONY: unittest

=== debian/changelog ===
python-podman (5.4.0.1-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-tomli dependency overide

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:20:05 +0200

python-podman (5.4.0.1-2) unstable; urgency=medium

  * Team upload.
  * skip tests when the test image is not available (e.g. 32-bit)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 10 Mar 2025 19:06:01 +0100

python-podman (5.4.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.4.0.1

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 06 Mar 2025 12:09:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
+ python3-fixtures,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
@@ -15,7 +16,7 @@
  python3-xdg,
  python3-testtools,
  python3-requests-mock,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/podman-py
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-podman
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-podman.git
@@ -28,7 +29,6 @@
  python3-xdg,
  python3-requests,
  python3-urllib3,
- python3-tomli,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python 3 wrapper to access podman's interface
@@ -36,4 +36,3 @@
  podman over it's RESTful API.
  .
  This package provides Python 3 module bindings.
-

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=podman
export PYBUILD_BEFORE_TEST=rm -rf {dir}/podman/tests/integration
export PYBUILD_TEST_ARGS=-s podman/tests/unit

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
# This should run anywhere, like Salsa CI, without /dev/fuse support.
Tests: unittests
Depends:
 @builddeps@,
 buildah,
 catatonit,
 dbus-user-session,
 fuse-overlayfs,
 podman,
 python3-pytest,
 python3-requests-mock,
 slirp4netns,
 uidmap,
Restrictions: allow-stderr, needs-internet

# This should provide /dev/fuse, and run the full test suite.
Tests: unittests
Depends:
 @builddeps@,
 buildah,
 catatonit,
 dbus-user-session,
 fuse-overlayfs,
 podman,
 python3-pytest,
 python3-requests-mock,
 slirp4netns,
 uidmap,
Restrictions: allow-stderr, isolation-machine, needs-internet, skippable

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/podman-py-$1\.tar\.gz/ \
  https://github.com/containers/podman-py/tags .*/v?(\d\S+)\.tar\.gz
